<template>
  <div class="dashboard-editor-container">
    <el-row type="flex" align="middle" class="header-filter">
      <el-col :span="12">
        <h2>Artikel</h2>
      </el-col>
      <el-col :span="12">
        <a v-on:click="openFilter()" class="link-right">
          <span>{{ isOpen ? "Tutup" : "Buka" }} Filter</span>
          <svg-icon icon-class="filter" class="bigger" />
        </a>
      </el-col>
    </el-row>
    <transition name="fade">
      <filter-component @updateParams="updateParams" v-show="this.isOpen" />
    </transition>
    <div class="chart-wrapper">
      <h3 class="--green">Artikel Terpopuler</h3>
      <hr />
      <articles />
    </div>
  </div>
</template>

<script>
import FilterComponent from './components/FilterComponent';
import Articles from './components/Articles';

export default {
  name: 'PopularArticle',
  components: {
    FilterComponent,
    Articles
  },
  created() {
    this.getData();
  },
  data() {
    return {
      isOpen: false
    };
  },
  methods: {
    openFilter() {
      this.isOpen = !this.isOpen;
    },
    updateParams(params) {
      this.openFilter();
      this.params = {
        gender: params.gender,
        id_city: params.city.join(),
        commodity: params.commodity.join(),
        status_id: params.status
      };
      this.getData();
    },
    getData() {
      this.$store.dispatch('topTenArticle', this.params);
    }
  }
};
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';
.dashboard-editor-container {
  padding: 32px;
  .header-filter {
    h2 {
      font-size: 32px;
      color: #086939;
    }
    .link-right {
      font-size: 16px;
      color: #086939;
      font-weight: bold;
      float: right;
      span {
        margin-right: 9px;
      }
      .bigger.svg-icon {
        width: 23px;
        height: 23px;
        margin-bottom: -5px;
      }
    }
  }
  .el-row--shaded {
    @include ritx-box;
  }
  .chart-wrapper {
    background: #fff;
    padding: 16px 16px 0 16px;
    margin-bottom: 32px;
    @include ritx-box;
  }
  .commodity-container {
    display: flex;
  }
}

hr.overflow {
  margin-left: -15px;
  margin-right: -15px;
}
</style>
